# Publish Podcast (Generate Audio) POST /api/v1/podcasts/{podcast_id}/publish/ Content-Type: application/json Publish the podcast by generating audio from the approved script. Validates that script and utterances exist before triggering audio generation. Sets is_draft=False after audio generation completes. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/podcasts/publish-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/podcasts/{podcast_id}/publish/: post: operationId: publish-create summary: Publish Podcast (Generate Audio) description: >- Publish the podcast by generating audio from the approved script. Validates that script and utterances exist before triggering audio generation. Sets is_draft=False after audio generation completes. tags: - subpackage_podcasts parameters: - name: podcast_id in: path required: true schema: type: integer responses: '202': description: Audio generation started content: application/json: schema: $ref: '#/components/schemas/podcasts_publishCreate_Response_202' '400': description: Podcast not ready or invalid parameters content: application/json: schema: description: Any type '404': description: Podcast not found content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/PodcastPublish' components: schemas: AudioFormatEnum: type: string enum: - wav - mp3 description: |- * `wav` - WAV * `mp3` - MP3 title: AudioFormatEnum PodcastPublish: type: object properties: audio_format: $ref: '#/components/schemas/AudioFormatEnum' description: |- Audio output format * `wav` - WAV * `mp3` - MP3 split_utterances: type: boolean default: true description: Whether to split utterances in the output audio description: Serializer for publishing podcast (triggering audio generation). title: PodcastPublish podcasts_publishCreate_Response_202: type: object properties: {} title: podcasts_publishCreate_Response_202 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/podcasts/1/publish/" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/podcasts/1/publish/'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/podcasts/1/publish/" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/podcasts/1/publish/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/podcasts/1/publish/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/podcasts/1/publish/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/podcasts/1/publish/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/podcasts/1/publish/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```